Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1005712

Summary: [virtio-win][viostor]virtio-win-prewhql-69 virtual block driver could not be loaded in win8.1-32 guest
Product: Red Hat Enterprise Linux 6 Reporter: Jun Li <juli>
Component: virtio-winAssignee: Vadim Rozenfeld <vrozenfe>
Status: CLOSED CURRENTRELEASE QA Contact: Virtualization Bugs <virt-bugs>
Severity: urgent Docs Contact:
Priority: high    
Version: 6.5CC: acathrow, bcao, bsarathy, juli, juzhang, michen, qzhang, rhod, sluo, virt-maint, vrozenfe, xfu
Target Milestone: rc   
Target Release: 6.5   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: virtio-win-prewhql-0.1-70 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-01 11:32:45 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
virtual block-win8.1-32-screenshot none

Description Jun Li 2013-09-09 05:07:19 EDT
Description of problem:
Bulid-69 vitio-scsi driver could not be installed in win8.1-32 guest on rhel7.0 host. screen-shot attached.

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-2.el7.x86_64
virtio-win-prewhql-0.1-69
3.10.0-18.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Install win8.1-32 guest OS.
# /usr/libexec/qemu-kvm -S -M pc-i440fx-rhel7.0.0 -cpu SandyBridge -enable-kvm -m 4G -smp 2,sockets=1,cores=2,threads=1 -name juli -uuid 355a2475-4e03-4cdd-bf7b-5d6a59edaa61 -rtc base=localtime,clock=host,driftfix=slew \
-drive file=/home/win8.1-32.qcow2_v3,if=none,cache=none,aio=native,format=qcow2,rerror=stop,werror=stop,id=drive0 -device virtio-blk-pci,bus=pci.0,addr=0x8,drive=drive0,id=sys-disk,bootindex=0 \
-drive file=/home/sdb-1.qcow2_v3,if=none,cache=none,aio=native,format=qcow2,rerror=stop,werror=stop,id=drive0-1 \
-device virtio-blk-pci,bus=pci.0,drive=drive0-1,id=data-disk-1 \
-drive file=/home/ISO/en_windows_8.1_preview_x86_dvd_2358833.iso,if=none,media=cdrom,format=raw,aio=native,id=drive-ide1-0-0 -device ide-drive,drive=drive-ide1-0-0,id=ide1-0-0,bus=ide.0,unit=0,bootindex=4 \
-device virtio-balloon-pci,id=ballooning -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -netdev tap,id=hostnet0,vhost=off,queues=4,script=/etc/qemu-ifup -device virtio-net-pci,mq=on,vectors=17,netdev=hostnet0,id=virtio-net-pci0,mac=24:be:05:14:0d:8A,addr=0x17,bootindex=2 -k en-us -boot menu=on,reboot-timeout=-1,strict=on -qmp tcp:0:4445,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :3 -spice port=5932,disable-ticketing -vga qxl -monitor stdio -monitor tcp:0:7445,server,nowait -monitor unix:/tmp/monitor1,server,nowait \
-drive file=/home/virtio-win-prewhql-0.1-69/virtio-win-prewhql-0.1.iso,if=none,media=cdrom,format=raw,aio=native,id=drive-ide1-0-2 \
-device ide-drive,drive=drive-ide1-0-2,id=ide1-0-2,bus=ide.1,unit=1

2.load virtio-blk driver.
3.Check the result.

Actual results:
could not be loaded.

Expected results:
could be loaded successfully.


Additional info:
Comment 1 Jun Li 2013-09-09 05:11:05 EDT
Created attachment 795545 [details]
virtual block-win8.1-32-screenshot
Comment 3 Jun Li 2013-09-09 05:29:58 EDT
win7sp1-32 hits this issue, too.
Comment 4 Vadim Rozenfeld 2013-09-09 05:48:21 EDT
could you please post virtio-win-prewhql-0.1.iso
layout?

Thanks,
Vadim.
Comment 6 Jun Li 2013-09-09 23:03:38 EDT
(In reply to Vadim Rozenfeld from comment #4)
> could you please post virtio-win-prewhql-0.1.iso
> layout?
> 
> Thanks,
> Vadim.

.
|-- Vista
|-- win7
|-- win8
|-- Wlh
|-- Wnet
|-- WXp
`-- XP

win8/x86/
|-- balloon.inf
|-- blnsvr.exe
|-- blnsvr.pdb
|-- netkvm.cat
|-- netkvmco.dll
|-- netkvm.inf
|-- netkvm.pdb
|-- netkvm.sys
|-- NetKVMTemporaryCert.cer
|-- readme.doc
|-- vioscsi.inf
|-- vioser.inf
`-- WdfCoInstaller01011.dll

Above is virtio-win-prewhql-0.1.iso layout. Thank you.
Comment 7 Vadim Rozenfeld 2013-09-09 23:11:13 EDT
But there are no viostor.sys and viostor.inf files there, right?
Comment 8 Jun Li 2013-09-10 01:25:46 EDT
(In reply to Vadim Rozenfeld from comment #7)
> But there are no viostor.sys and viostor.inf files there, right?

Yes, there's no these two files.
Comment 9 Vadim Rozenfeld 2013-09-10 04:40:30 EDT
ok. I see.
seems like build 69 is broken. All win8/32 drivers, except for netkvm, were not created.


Vadim.
Comment 10 Mike Cao 2013-09-16 08:25:38 EDT
junli, pls help to verify it on virtio-win-prewhql-70 ,thanks
Comment 11 Jun Li 2013-09-17 00:32:35 EDT
verify this bug with virtio-win-prewhql-70 version.
I tested two guest win8.1-32 and win7sp1-32 with virto-blk and virtio scsi device.

cmd line like this:
# <cli> ... -drive file=/home/win8.1-32.qcow2_v3,if=none,cache=none,aio=native,media=disk,format=qcow2,rerror=stop,werror=stop,id=drive0 \
-device virtio-blk-pci,bus=pci.0,drive=drive0,id=sys-disk,bootindex=0 -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0  \
-drive file=/home/sdb-1.qcow2_v3,if=none,media=disk,cache=none,aio=native,format=qcow2,rerror=stop,werror=stop,id=drive0-1   \
-device scsi-hd,drive=drive0-1,bus=scsi0.0,scsi-id=0,lun=0,id=data-disk-1 ...

Test Result:
win8.1-32 and win7sp1-32 install successfully with virto-blk and virtio scsi disk, and they work well.

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-2.el7.x86_64
virtio-win-prewhql-0.1-70
3.10.0-18.el7.x86_64

so I think this bug is fixed.
Comment 12 Mike Cao 2013-09-17 01:37:05 EDT
Move status to VERIFIED based on comment #11